Skip to main content
PATCH
/
personas
/
{personaId}
/
role
Update a persona's role
curl --request PATCH \
  --url https://api.equalsmoney.com/v2/personas/{personaId}/role \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "roleName": "Accountant"
}
'
{
  "name": "Accountant"
}

Authorizations

Authorization
string
header
required

Path Parameters

personaId
string<uuid>
required

The ID of the persona to work with.

Maximum string length: 36
Example:

"8e214819-5c83-429f-a976-eb127a0a8a88"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

roleName
enum<string>
required

The name of the new role that you want to assign to the persona.

Available options:
Owner,
Admin,
Payer,
Viewer,
Accountant,
User
Example:

"Accountant"

Response

200 - application/json

OK

name
enum<string>
required

The persona's newly-assigned role.

Available options:
Owner,
Admin,
Payer,
Viewer,
Accountant,
User
Example:

"Accountant"